SystemOrganization addCategory: #BattleShipTest!

TestCase subclass: #BattleShipTestCase
	instanceVariableNames: 'factory player'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BattleShipTest'!

!BattleShipTestCase methodsFor: 'running' stamp: 'YuLin 5/3/2013 15:27'!
setUp
	factory := ShipFactory new.
	player := Player new gridHeight: 10 gridWidth: 10 name: 'Oscar' factory: factory.
	player addShip: 'Minesweeper' at: 5@2 rotated: false.
	player addShip: 'Minesweeper' at: 8@2 rotated: false.
	player addShip: 'Destroyer' at: 8@10 rotated: true.
	player addShip: 'Battleship' at: 2@1 rotated: false.
	! !

!BattleShipTestCase methodsFor: 'tests' stamp: 'YuLin 5/3/2013 13:11'!
test1
	player peekGridToGui: player! !

!BattleShipTestCase methodsFor: 'tests' stamp: 'YuLin 5/3/2013 14:17'!
test2
	player hit: 1@1.
	player peekGridToGui: nil.
	player hit: 4@3.
	player peekGridToGui: nil.
	player hit: 10@8.
	player peekGridToGui: nil.
	player hit: 5@3.
	player peekGridToGui: nil.
	player hit: 5@3.
	player peekGridToGui: nil.
	player hit: 5@2.
	player peekGridToGui: nil.
	player hit: 5@2.
	player peekGridToGui: nil.
	player hit: 6@10.
	player peekGridToGui: nil.
	player hit: 8@3.
	player peekGridToGui: nil.! !

!BattleShipTestCase methodsFor: 'tests' stamp: 'YuLin 5/3/2013 15:27'!
testGrid
	|grid ship1 ship2|
	grid := Grid new height: 10 width: 10.
	ship1 := Ship named: 'Destroyer' withLayout: 'rr'.
	ship2 := Ship named: 'Battleship' withLayout: 'rrr'.
	ship2 rotate ! !
